/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 25/08/2017
 --------------------------------------------------------
*/
package com.portofolio.entity.vo;

import lombok.*;

import static com.portofolio.base.adapter.DatabaseAdapter.Constant.*;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.validation.constraints.NotNull;

@Embeddable
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode
public class MapKelompokUserToGolonganPegawaiId implements java.io.Serializable {
	private static final String cDefKdGolonganPegawai = INTEGER;
	@Column(name = "KdGolonganPegawai", columnDefinition = cDefKdGolonganPegawai)
	@NotNull(message = "mapkelompokusertogolonganPegawaiid.kdgolonganpegawai.notnull")
	private Integer kdGolonganPegawai;

	private static final String cDefKdKategoryPegawai = VARCHAR+ AWAL_KURUNG + 255 + AKHIR_KURUNG;
	@Column(name = "KdKategoryPegawai", columnDefinition = cDefKdKategoryPegawai)
	@NotNull(message = "mapkelompokusertogolonganPegawaiid.kdkategorypegawai.notnull")
	private String kdKategoryPegawai;

	private static final String cDefKdKelompokUser = INTEGER;
	@Column(name = "KdKelompokUser", columnDefinition = cDefKdKelompokUser)
	@NotNull(message = "mapkelompokusertogolonganPegawaiid.kdkelompokuser.notnull")
	private Integer kdKelompokUser;

	private static final String cDefKdProfile = INTEGER;
	@Column(name = "KdProfile", columnDefinition = cDefKdProfile)
	@NotNull(message = "mapkelompokusertogolonganPegawaiid.kdprofile.notnull")
	private Integer kdProfile;

}
